Show / Hide Table of Contents

# Class ProxyEndPoint

An abstract endpoint where the proxy listens

##### Inheritance

Object
ProxyEndPoint
ExplicitProxyEndPoint
TransparentProxyEndPoint

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Models

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public abstract class ProxyEndPoint

### Constructors

| Improve this Doc View Source

#### ProxyEndPoint(IPAddress, Int32, Boolean)

Constructor.

##### Declaration

    protected ProxyEndPoint(IPAddress ipAddress, int port, bool decryptSsl)

##### Parameters

Type | Name | Description
--- | --- | ---
IPAddress | ipAddress |
Int32 | port |
Boolean | decryptSsl |

### Properties

| Improve this Doc View Source

#### DecryptSsl

Enable SSL?

##### Declaration

    public bool DecryptSsl { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### IpAddress

Ip Address we are listening.

##### Declaration

    public IPAddress IpAddress { get; }

##### Property Value

Type | Description
--- | ---
IPAddress |

| Improve this Doc View Source

#### IpV6Enabled

Is IPv6 enabled?

##### Declaration

    public bool IpV6Enabled { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### Port

Port we are listening.

##### Declaration

    public int Port { get; }

##### Property Value

Type | Description
--- | ---
Int32 |